Bagaimana untuk Perbaiki phpmyadmin – tidak dapat memuat mcrypt ekstensi?

Anda mungkin mendapatkan bawah phpMyAdmin error selama beberapa alasan yang berbeda yang dapat berhubungan dengan upgrade PHP atau mungkin pada instalasi baru phpMyAdmin. Masalah ini dapat diatasi dengan mudah dengan menginstal atau meng-upgrade mcrypt pada server Anda.

phpmyadmin-mcrypt-error

Kesalahan:tidak dapat memuat ekstensi mcrypt. Silakan periksa konfigurasi PHP Anda.

Jika Anda menerima kesalahan ini cukup login ke server Anda, yang dalam hal ini adalah 5.2 Server CentOS, dan menginstal atau meng-upgrade mcrypt menggunakan manajer paket yum. Paket yang harus diinstal untuk mcrypt bekerja dengan baik dengan phpMyAdmin adalah php-mcrypt.

Install / Tingkatkan mcrypt:

  • gu3 menginstal php-mbstring // Untuk Centos
  • sudo install php-mbstring // Untuk Ubuntu

tidak dapat memuat ekstensi mcrypt 2

Versi harus mencocokkan seperti yang ditunjukkan di atas jadi jika mereka tidak cocok ini harus menjadi tempat pertama untuk memulai pemecahan masalah.

sudo /etc/init.d/httpd restart

Akhirnya, menyegarkan untuk memeriksa kerjanya.

Tinggalkan Balasan